Subject: bug#43205: 28.0.50; Eldoc protocol not useful for third-party packages

From: João Távora <[email-masked]>
Date: Fri, 4 Sep 2020 19:32:30 +0100

Acknowledged. The latest eldoc in master is a work in progress.This in on
my to-do list. Soon I'll improve the documentation, as well as specifying
what the "display engine" is supposed to be.

I think, this will be quite useful when (re) designing your eldoc-box
extension, Yuan. Maybe that extension could even be included into Emacs
itself.

João

On Fri, Sep 4, 2020, 17:18 Yuan Fu <[email-masked]> wrote:

> Currently the documentation of `eldoc-documentation-functions' says this:
>
> * `:thing', VALUE is a short string or symbol designating what is
> being reported on.  The documentation display engine can elect
> to remove this information depending on space contraints;
>
> without saying what VALUE could be. For someone who want to write a
> frontend to display eldoc signitures, this is useless. For someone who
> want to write a documentation backend for eldoc, this is useless as
> well. I think the protocol should at least specify what VALUE could be
> expected: signature? full-doc? example? links?
>
>
>
> Also contraints is spelled wrong. And on line 705.
>
>
>
>